CUDA Driver API (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 5.5. CUDA_MEMCPY3D Struct Reference

## [Data types used by CUDA driver]

3D memory copy parameters

### Public Variables

size_t Depth
size_t Height
size_t WidthInBytes
CUarray dstArray
CUdeviceptr dstDevice
size_t dstHeight
void * dstHost
size_t dstLOD
CUmemorytype dstMemoryType
size_t dstPitch
size_t dstXInBytes
size_t dstY
size_t dstZ
void * reserved0
void * reserved1
CUarray srcArray
CUdeviceptr srcDevice
size_t srcHeight
const void * srcHost
size_t srcLOD
CUmemorytype srcMemoryType
size_t srcPitch
size_t srcXInBytes
size_t srcY
size_t srcZ

### Variables

size_t CUDA_MEMCPY3D::Depth [inherited]

  Depth of 3D memory copy

size_t CUDA_MEMCPY3D::Height [inherited]

  Height of 3D memory copy

size_t CUDA_MEMCPY3D::WidthInBytes [inherited]

  Width of 3D memory copy in bytes

CUarray CUDA_MEMCPY3D::dstArray [inherited]

  Destination array reference

CUdeviceptr CUDA_MEMCPY3D::dstDevice [inherited]

  Destination device pointer

size_t CUDA_MEMCPY3D::dstHeight [inherited]

  Destination height (ignored when dst is array; may be 0 if Depth==1)

void * CUDA_MEMCPY3D::dstHost [inherited]

  Destination host pointer

size_t CUDA_MEMCPY3D::dstLOD [inherited]

  Destination LOD

CUmemorytype CUDA_MEMCPY3D::dstMemoryType [inherited]

  Destination memory type (host, device, array)

size_t CUDA_MEMCPY3D::dstPitch [inherited]

  Destination pitch (ignored when dst is array)

size_t CUDA_MEMCPY3D::dstXInBytes [inherited]

  Destination X in bytes

size_t CUDA_MEMCPY3D::dstY [inherited]

  Destination Y

size_t CUDA_MEMCPY3D::dstZ [inherited]

  Destination Z

void * CUDA_MEMCPY3D::reserved0 [inherited]

  Must be NULL

void * CUDA_MEMCPY3D::reserved1 [inherited]

  Must be NULL

CUarray CUDA_MEMCPY3D::srcArray [inherited]

  Source array reference

CUdeviceptr CUDA_MEMCPY3D::srcDevice [inherited]

  Source device pointer

size_t CUDA_MEMCPY3D::srcHeight [inherited]

  Source height (ignored when src is array; may be 0 if Depth==1)

const void * CUDA_MEMCPY3D::srcHost [inherited]

  Source host pointer

size_t CUDA_MEMCPY3D::srcLOD [inherited]

  Source LOD

CUmemorytype CUDA_MEMCPY3D::srcMemoryType [inherited]

  Source memory type (host, device, array)

size_t CUDA_MEMCPY3D::srcPitch [inherited]

  Source pitch (ignored when src is array)

size_t CUDA_MEMCPY3D::srcXInBytes [inherited]

  Source X in bytes

size_t CUDA_MEMCPY3D::srcY [inherited]

  Source Y

size_t CUDA_MEMCPY3D::srcZ [inherited]

  Source Z